Set customer overage limit
Sets or clears the customer-wide overage spend cap and breach behavior.
Authorization
bearerAuth Request Body
application/json
customer*string
maxOverageAmount*|
Range
0 < valueonLimitReached?string
Default
"block"Value in
"block" | "notify"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.owostack.com/v1/customers/overage-limit" \ -H "Content-Type: application/json" \ -d '{ "customer": "string", "maxOverageAmount": 0 }'{
"success": true,
"id": "string",
"email": "user@example.com",
"name": "string",
"metadata": {
"property1": null,
"property2": null
},
"billing": {
"overageLimit": {
"maxOverageAmount": 0,
"onLimitReached": "block",
"createdAt": 0,
"updatedAt": 0
},
"featureConfigs": [
{
"feature": {
"id": "string",
"slug": "string",
"name": "string"
},
"overage": "block",
"maxOverageUnits": 0,
"createdAt": 0,
"updatedAt": 0
}
]
},
"createdAt": 0,
"updatedAt": 0,
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}